#!/usr/bin/ruby19
# encoding: UTF-8

require 'yaml'


module Amperka
  
  class Products

    def self.load root
      products = []
      yamls =  Dir.glob "#{root}/**/*.yaml"

      yamls.each do |file|
        products += load_file file
      end

      products
    end

    def self.load_file path
      products = []
      file = IO.read path

      data = YAML.load file

      data.each do |product|
        valid = true 

        [ 'Название', 'Пермалинк', 'Кратко', 'Полно' ].each do |key|
          valid = nil unless product.has_key? key 
        end

        next unless valid

        products << {
          :name      => product['Название'],
          :permalink => product['Пермалинк'],
          :shortdesc => product['Кратко'],
          :desc      => product['Полно']
        }
      end

      products

    end

  end

end

# vim: sw=2 sts=2 ts=8:

